function [F,K]=DefSpecification(Spec,Type,Freq)
%This function defines the set of observable factors involved in the specification Spec.

% Factors matrix
if Freq==1; %monthly factors
    load Wspace_FactorsM 
else        %quarterly factors
    load Wspace_FactorsQ 
end;

if Type==1; %Financial linear factor models
    if      Spec==1; K=1; F=threeFF(:,1);           %CAPM: MKT
    elseif  Spec==2; K=3; F=threeFF;                %FF model: MKT,SMB,HML
    elseif  Spec==3; K=4; F=[threeFF,MOM];          %CAR model: MKT,SMB,HML,MOM
    elseif  Spec==4; K=5; F=fiveFF;                 %5FF model: MKT,SMB,HML,RMW,CMA
    elseif  Spec==5; K=4; F=[threeFF(:,1),HXZ];     %HXZ model: MKT,ME,I/A,ROE    
    elseif  Spec==6; K=4; F=[threeFF,QMJ];          %FF and QMJ
    elseif  Spec==7; K=4; F=[threeFF,BAB];          %FF and BAB
       
    elseif  Spec==8; K=4; F=[threeFF(:,1),LIQ];          %LIQ model: MKT,Agg.Liq, Innov.Liq, TradedLiq    
    elseif  Spec==9; K=4; F=[threeFF(:,1),MOM,REV];      %MOM and REV factors: MKT, MOM,ST_rev,LT_rev     
    elseif  Spec==10; K=4; F=[threeFF(:,1),NM];          %NM model
    elseif  Spec==11; K=5; F=[threeFF(:,1:3),REV];       %FF and REV model: MKT,SMB,HML,ST_rev,LT_rev       
    elseif  Spec==12; K=6; F=[threeFF(:,1:3),MOM,REV];   %FF, MOM and REV factors: MKT,SMB,HML,MOM,ST_rev,LT_rev    
    end;
elseif Type==2; %Macroeconomic linear factor models
    if      Spec==1; K=1; F=CG;                 %CCAPM: CG
    elseif  Spec==2; K=2; F=[MKT,CG];       %EZ: MKT, CG
    elseif  Spec==3; K=2; F=YO;                 %NDCG, DCG
    elseif  Spec==4; K=3; F=[MKT,YO];       %YO: MKT, NDCG, DCG
    elseif  Spec==5; K=3; F=LVX;                %LVX model
    elseif  Spec==6; K=5; F=CRR;                %CRR model MP,UI,DEI,UTS,UPR    
    end;     
end;