%This code computes the quarterly financial factors from the monthly
%observations
clear
load Wspace_FactorsM Rf threeFF fiveFF MOM BAB QMJ REV HXZ NM
Tm=size(Rf,1);  %monthly size
Tq=Tm/3;        %quarterly size
Sel2=(3:3:Tm)'; %selection size
Sel1=Sel2-2;
FMonthly=[Rf,threeFF,fiveFF,MOM,BAB,QMJ,REV,HXZ,NM];
FQuarterly=zeros(Tq,size(FMonthly,2));
for s=1:Tq;
    FQuarterly(s,:)=mean(FMonthly(Sel1(s):Sel2(s),:));
end;
Rf=FQuarterly(:,1);
threeFF=FQuarterly(:,2:4);
fiveFF=FQuarterly(:,5:9);
MOM=FQuarterly(:,10);
BAB=FQuarterly(:,11); 
QMJ=FQuarterly(:,12);
REV=FQuarterly(:,13:14);
HXZ=FQuarterly(:,15:17);
NM=FQuarterly(:,18:20);

clearvars s FMonthly FQuarterly Sel1 Sel2 Tm Tq