%This code computes the quarterly returns from the monthly
%observations
clear;
% Load Dataset of monthly observations
% The dataset contains:
% R=returns, I=indicator for unbalanced characteristic, BM=book-to-mkt
% Ti= time-series observations for each asset, T=TS size, n=CS size
load Wspace_CRSPCMST_ret;    %Dataset after matching CRSP and Compustat Jan68-Dec11
Tq=Tm/3;        %quarterly size
Sel2=(3:3:T)';
Sel1=Sel2-2;
Iq=zeros(Tq,n);
Rq=zeros(Tq,n);
BMq=zeros(Tq,n);
MCq=zeros(Tq,n);
for s=1:Tq;
    Ind=sum(I(Sel1(s):Sel2(s),:));
    Iq(s,:)=(Ind==3);
    Rq(s,:)=Iq(s,:).*mean(R(Sel1(s):Sel2(s),:));
    BMq(s,:)=Iq(s,:).*mean(BM(Sel1(s):Sel2(s),:));
    MCq(s,:)=Iq(s,:).*mean(MC(Sel1(s):Sel2(s),:));
end;
Tiq=sum(Iq)';
BM=BMq; I=Iq; MC=MCq; R=Rq; T=Tq; Ti=Tiq;
clearvars -except 'BM' 'I' 'MC' 'n' 'PERMNO' 'R' 'SIC' 'T' 'Ti'
save Wspace_CRSPCMST_retQ;


