
%% ========================================================================
%% A DIAGNOSTIC CRITERION FOR APPROXIMATE FACTOR STRUCTURE
%% P.Gagliardini, E.Ossola, O.Scaillet
%% August 2016
%% ========================================================================
clc;
clear;

%This function estimates the linear factor models listed in Tables 1 and 2.
%It saves the matrix of fitted residuals as in GOS (2016). 

%Financial linear factor models, monthly data: (see Table 1)
%CAPM, FF, CAR, 5FF, HXZ, FF and QMJ, FF and BAB
for s=1:7;
    EstimationModel(1,1,10,s,0);    %Time-invariant models
    EstimationModel(1,1,11,s,1);    %Time-varying set (i)
    EstimationModel(1,1,11,s,2);    %Time-varying set (ii)
end;
% Time-invariant CAPM with quarterly data
    EstimationModel(2,1,10,1,0);   

%Macroeconomic linear factor models, quartely data: (see Table 2)
%CCAPM, EZ, NDC and DC, YO, LVX
for s=1:5;
    EstimationModel(2,2,10,s,0);    %Time-invariant models
end;
% CRR, monthly data
    EstimationModel(1,2,10,6,0);   
    
    
  
%% Additional results    
%Financial linear factor models, monthly data:
for s=8:12
    EstimationModel(1,1,10,s,0);    %Time-invariant models
    EstimationModel(1,1,11,s,1);    %Time-varying set (i)
    EstimationModel(1,1,11,s,2);    %Time-varying set (ii)
end;


