function ScreePlot (Eig,p)
%Eig vector of eigenvalues 
%p penalty term

E=size(Eig,1);      %Size of Eig vector

subplot(1,2,1);
title ('Panel A','Interpreter','latex','FontSize',24);
hold on;
plot((1:1:E)',Eig.*100,'b-.o','LineWidth',2,'MarkerSize', 15);
plot((p*100).*ones(5,1),'--r','LineWidth',2.5);
hold off;
ylim([0.5 3]);
YH=sort([(0.5:0.5:3.5),round(p*100,2)]);
XTL=['0';'1';'2';'3';'4'];
XH=(1:1:E);
set(gca,'XTick',XH,'XTickLabel',XTL,'FontSize',24);
set(gca,'YTick',YH,'YTickLabel',YH,'FontSize',24);
xlabel('Number of latent factors','Interpreter','latex','FontSize',24);
ylabel('Eigenvalues in $\%$','Interpreter','latex','FontSize',24);
        
subplot(1,2,2);
title ('Panel B','Interpreter','latex','FontSize',24);
hold on;
CUM=cumsum(Eig);
bar1=bar((2:1:E)',CUM(2:E).*100);
bar2=bar((2:1:E)',cumsum(Eig(1:1:E-1,1))*100);
XH=(2:1:E);
YH=(0:2:10);
set(bar1,'FaceColor',[.7,0.7,0.7]);
set(bar2,'FaceColor',[.9,0.9,0.9]);
set(gca,'XTick',XH,'XTickLabel',XH,'FontSize',24);
set(gca,'YTick',YH,'YTickLabel',YH,'FontSize',24);
xlim([1 E+1]);
ylim([0 10]);
hold off;
xlabel('Eigenvalues','Interpreter','latex','FontSize',24);
ylabel('Cumulated eigenvalues in $\%$','Interpreter','latex','FontSize',24);
        